Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::GeneralSerialEvent Struct Referencefinal

`#include <GeneralSerialEvent.h>`

## Public Member Functions
| GeneralSerialEvent (const GeneralSerialEvent &)=default
GeneralSerialEvent & | operator= (const GeneralSerialEvent &)=default
| GeneralSerialEvent (GeneralSerialEvent &&)=default
GeneralSerialEvent & | operator= (GeneralSerialEvent &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint32_t | dataLength {}
| length of variable data in bytes
uint32_t | timeStampsLength {}
| length of variable timestamps in bytes
uint64_t | reservedGeneralSerialEvent {}
std::vector< uint8_t > | data {}
| variable data
std::vector< int64_t > | timeStamps {}
| variable timestamps (optional)

## Detailed Description

general serial event

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::GeneralSerialEvent::calculateObjectSize | ( |  | ) | const
| virtual

Calculates the objectSize

Returns
  object size

## ◆ read()

void Vector::BLF::GeneralSerialEvent::read | ( | AbstractFile & | is | ) |
| virtual

Read the data of this object

Parameters

  is | input stream

## ◆ write()

void Vector::BLF::GeneralSerialEvent::write | ( | AbstractFile & | os | ) |
| virtual

Write the data of this object

Parameters

  os | output stream

## Member Data Documentation

## ◆ data

std::vector<uint8_t> Vector::BLF::GeneralSerialEvent::data {}

variable data

variable data

## ◆ dataLength

uint32_t Vector::BLF::GeneralSerialEvent::dataLength {}

length of variable data in bytes

length of variable data in bytes

## ◆ reservedGeneralSerialEvent

uint64_t Vector::BLF::GeneralSerialEvent::reservedGeneralSerialEvent {}

reserved

## ◆ timeStamps

std::vector<int64_t> Vector::BLF::GeneralSerialEvent::timeStamps {}

variable timestamps (optional)

variable timestamps (optional)

## ◆ timeStampsLength

uint32_t Vector::BLF::GeneralSerialEvent::timeStampsLength {}

length of variable timestamps in bytes

length of variable timestamps in bytes

The documentation for this struct was generated from the following files:

- GeneralSerialEvent.h
- GeneralSerialEvent.cpp